Package org.eclipse.net4j.util.ui

# Class StaticContentProvider

java.lang.Object
org.eclipse.jface.viewers.ViewerComparator
org.eclipse.jface.viewers.ViewerSorter
org.eclipse.net4j.util.ui.StructuredContentProvider<Object>
org.eclipse.net4j.util.ui.StaticContentProvider

All Implemented Interfaces:
  `EventListener`, `IContentProvider`, `IStructuredContentProvider`, `IListener`

public class StaticContentProvider extends StructuredContentProvider<Object>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`IListener.NotifierAware`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.ViewerSorter

`collator`

## Constructor Summary

Constructors
Constructor
Description
`StaticContentProvider(Class<Object> enumClass)`
`StaticContentProvider(Object[] elements)`
`StaticContentProvider(Collection<?> elements)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getElements(Object inputElement)`

### Methods inherited from class org.eclipse.net4j.util.ui.StructuredContentProvider

`connectInput, disconnectInput, dispose, expandElement, getBoldFont, getDisplay, getInput, getItalicFont, getViewer, inputChanged, notifyEvent, refreshElement, refreshSynced, refreshViewer, revealElement, selectElement, updateLabels`

### Methods inherited from class org.eclipse.jface.viewers.ViewerSorter

`getCollator`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, compare, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StaticContentProvider

public StaticContentProvider(Object[] elements)

### StaticContentProvider

public StaticContentProvider(Collection<?> elements)

### StaticContentProvider

public StaticContentProvider(Class<Object> enumClass)

## Method Details

### getElements

public Object[] getElements(Object inputElement)